CMSIS-DSP: Matrix Initialization

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Matrix Initialization
Matrix Functions

## Functions
void | arm_mat_init_f32 (arm_matrix_instance_f32 *S, uint16_t nRows, uint16_t nColumns, float32_t *pData)
| Floating-point matrix initialization.
void | arm_mat_init_q15 (arm_matrix_instance_q15 *S, uint16_t nRows, uint16_t nColumns, q15_t *pData)
| Q15 matrix initialization.
void | arm_mat_init_q31 (arm_matrix_instance_q31 *S, uint16_t nRows, uint16_t nColumns, q31_t *pData)
| Q31 matrix initialization.

## Description

Initializes the underlying matrix data structure. The functions set the `numRows`, `numCols`, and `pData` fields of the matrix data structure.

## Function Documentation

void arm_mat_init_f32 | ( | arm_matrix_instance_f32 * | S,
|  | uint16_t | nRows,
|  | uint16_t | nColumns,
|  | float32_t * | pData
| ) |  |

Parameters

  [in,out] | *S | points to an instance of the floating-point matrix structure.
  [in] | nRows | number of rows in the matrix.
  [in] | nColumns | number of columns in the matrix.
  [in] | *pData | points to the matrix data array.

Returns
  none

Examples:
  arm_class_marks_example_f32.c, and arm_matrix_example_f32.c.

References arm_matrix_instance_f32::numCols, arm_matrix_instance_f32::numRows, and arm_matrix_instance_f32::pData.

Referenced by main().

void arm_mat_init_q15 | ( | arm_matrix_instance_q15 * | S,
|  | uint16_t | nRows,
|  | uint16_t | nColumns,
|  | q15_t * | pData
| ) |  |

Parameters

  [in,out] | *S | points to an instance of the floating-point matrix structure.
  [in] | nRows | number of rows in the matrix.
  [in] | nColumns | number of columns in the matrix.
  [in] | *pData | points to the matrix data array.

Returns
  none

References arm_matrix_instance_q15::numCols, arm_matrix_instance_q15::numRows, and arm_matrix_instance_q15::pData.

void arm_mat_init_q31 | ( | arm_matrix_instance_q31 * | S,
|  | uint16_t | nRows,
|  | uint16_t | nColumns,
|  | q31_t * | pData
| ) |  |

Parameters

  [in,out] | *S | points to an instance of the floating-point matrix structure.
  [in] | nRows | number of rows in the matrix.
  [in] | nColumns | number of columns in the matrix.
  [in] | *pData | points to the matrix data array.

Returns
  none

References arm_matrix_instance_q31::numCols, arm_matrix_instance_q31::numRows, and arm_matrix_instance_q31::pData.